package com.appdemostore.adsdemo;

import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.media.MediaPlayer;
import android.util.Log;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by Daniel on 4/11/2016.
 */
public class ADSPlayer2 {

    Context context;
    String folder;
    MediaPlayer player;

    ADSPlayer2(Context c, String f) {

        Log.d("ADS.ADSPlayer", "constructor: " + f);

        context = c;
        player = new MediaPlayer();
        folder = f;
    }

    public void load(String file) {

    }

    public void play(String file) {

        Log.d("ADS.ADSPlayer", "play: " + file);

        try {

            AssetFileDescriptor afd = context.getAssets().openFd(folder + "/" + file);

            player.reset();
            player.setDataSource(afd.getFileDescriptor(), afd.getStartOffset(), afd.getLength());
            player.prepare();
            player.start();

        } catch (IOException e) {
            e.printStackTrace();
        }

    }

    public void stop(String file) {

        Log.d("ADS.ADSPlayer", "stop: " + file);

        player.stop();
    }

    public void release() {

    }

}
