package com.appdemostore.adsdemo;

import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.media.MediaPlayer;
import android.webkit.JavascriptInterface;
import android.widget.Toast;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by Daniel on 4/10/2016.
 */
public class WebAppInterface {

    Context context;
    ADSPlayer2 adsPlayer;

    WebAppInterface(Context c, ADSPlayer2 p) {
        context = c;
        adsPlayer = p;
    }

    @JavascriptInterface
    public void toast(String toast) {
        Toast.makeText(context, toast, Toast.LENGTH_SHORT).show();
    }

    @JavascriptInterface
    public void load(String file) {
        adsPlayer.load(file);
    }

    @JavascriptInterface
    public void play(String file) {
        adsPlayer.play(file);
    }

    @JavascriptInterface
    public void stop(String file) {
        adsPlayer.stop(file);
    }


}
